<?php
/*
 * Created For BZ9.com
 * Author: Dave
 * Copyright: BZ9.com
 * Licence: Commercial, See included licence file.
 */
if(!defined("APPLICATION_PATH")){ die("No DIRECT Access"); }

//load required scripts
require_once APPLICATION_PATH . "includes/logger.php";
$logger = new logger();

require_once APPLICATION_PATH . "includes/Registry.php";
$Registry = new Registry;
$Registry->log = $logger;
$Registry->error = new error($Registry);
$Registry->tpl = new template($Registry);
$Registry->route = new router($Registry);
$Registry->settings = new settings($Registry);
$Registry->security = new security($Registry);
$Registry->session = new session($Registry);
$Registry->settings->init();
$Registry->user = new user($Registry);
$Registry->urls = new urls($Registry);
$Registry->members = new members($Registry);

//handle route
$Registry->route->route();